<?php

/*
 * Boilerplate
 */

declare(strict_types=1);

namespace Univie\Basisklassifikation\Interfaces;

if (!defined('ABSPATH')) {
    exit();
}


/*
 * Generic HTML input element
 */

interface Input
{
    /* Construct a new input element. */
    public function __construct(
        string $name,
        string $label,
        ?string $desc = null,
        ?string $id = null
    );

    /* Render the element. */
    public function render(): void;

    /* Process the input and return the result. */
    public function process(): mixed;
}
