<?php

/*
 * Boilerplate
 */

declare(strict_types=1);

namespace Univie\Basisklassifikation;

if (!defined('\\ABSPATH')) {
    exit();
}


/*
 * Constants
 */

/* Whether to translate taxonomy terms. */
define(
    __NAMESPACE__ . '\\TRANSLATE',
    function_exists('pll_set_term_language')
    && function_exists('pll_is_translated_taxonomy')
    && pll_is_translated_taxonomy(TAXONOMY)
);

/* Languages to use if available. */
define(
    __NAMESPACE__ . '\\LANGUAGES',
    function_exists('pll_languages_list') ?
        pll_languages_list() :
        [get_locale()]
);
