<?php

/*
 * Boilerplate
 */

declare(strict_types=1);

namespace Univie\Basisklassifikation;

if (!defined('\\ABSPATH')) {
    exit();
}


/*
 * Taxonomies
 */

/* Basisklassifikation. */
register_taxonomy(
    TAXONOMY,
    apply_filters('basisklassifikation/post_types', ['post']),
    [
        'labels' => labels_derive(
            singular: __('Class', 'basisklassifikation'),
            plural: __('Classes', 'basisklassifikation'),
            name: __('Base Classification', 'basisklassifikation')
        ),
        'hierarchical' => true,
        'meta_box_cb' => false,
        'show_ui' => true,
        'show_in_rest' => false,
        'show_admin_column' => false
    ]
);
